Subject: Re: [v10] i2c: imx: support slave mode for imx I2C driver

From: Wolfram Sang <[email-masked]>
Date: Wed, 9 Dec 2020 18:09:48 +0100

On Wed, Dec 09, 2020 at 09:03:50AM -0800, Kevin Herbert wrote:
> What is the protocol for the I2C_SLAVE_STOP event? I am working on my own
> backend, and I've only tried it with this i.mx driver, and I do not receive
> I2C_SLAVE_STOP at the end of every I2C transaction. It was my expectation
> I'd receive this event at the end of every frame. In my testing, I've never
> received this event at all.
> 
> Where are the I2C registers on the i.mx documented? My board is an i.mx6sx.

Hmm, from a glimpse, it looks the STOP event is only sent after a write
and not after a read? Does this match your findings?

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel